* [gentoo-commits] repo/gentoo:master commit in: media-libs/tse3/
@ 2018-05-29 20:10 Aaron Bauman
0 siblings, 0 replies; 9+ messages in thread
From: Aaron Bauman @ 2018-05-29 20:10 UTC (permalink / raw
To: gentoo-commits
commit: ff32516d736ac73d94b901a8846f24d7cdf0590a
Author: Aaron Bauman <bman <AT> gentoo <DOT> org>
AuthorDate: Tue May 29 18:32:48 2018 +0000
Commit: Aaron Bauman <bman <AT> gentoo <DOT> org>
CommitDate: Tue May 29 20:10:18 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ff32516d
media-libs/tse3: add || die to cp call
Package-Manager: Portage-2.3.40, Repoman-2.3.9
media-libs/tse3/tse3-0.3.1-r1.ebuild | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/media-libs/tse3/tse3-0.3.1-r1.ebuild b/media-libs/tse3/tse3-0.3.1-r1.ebuild
index 77d2703ea5a..99add3a12de 100644
--- a/media-libs/tse3/tse3-0.3.1-r1.ebuild
+++ b/media-libs/tse3/tse3-0.3.1-r1.ebuild
@@ -28,7 +28,7 @@ src_prepare() {
default
mv configure.in configure.ac || die "Moving configure.in -> .ac failed"
if use oss; then
- cp "${WORKDIR}"/awe_voice.h src/
+ cp "${WORKDIR}"/awe_voice.h src/ || die "copy failed"
append-flags -DHAVE_AWE_VOICE_H
fi
^ permalink raw reply related [flat|nested] 9+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: media-libs/tse3/
@ 2018-05-29 20:10 Aaron Bauman
0 siblings, 0 replies; 9+ messages in thread
From: Aaron Bauman @ 2018-05-29 20:10 UTC (permalink / raw
To: gentoo-commits
commit: 062e360d7ff0f5e1e05f90e3d3d7dec2a5e14b54
Author: Aaron Bauman <bman <AT> gentoo <DOT> org>
AuthorDate: Tue May 29 20:08:41 2018 +0000
Commit: Aaron Bauman <bman <AT> gentoo <DOT> org>
CommitDate: Tue May 29 20:10:28 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=062e360d
media-libs/tse3: append-cflags -> append-cppflags
Package-Manager: Portage-2.3.40, Repoman-2.3.9
media-libs/tse3/tse3-0.3.1-r1.ebuild | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/media-libs/tse3/tse3-0.3.1-r1.ebuild b/media-libs/tse3/tse3-0.3.1-r1.ebuild
index 99add3a12de..9c10927b83e 100644
--- a/media-libs/tse3/tse3-0.3.1-r1.ebuild
+++ b/media-libs/tse3/tse3-0.3.1-r1.ebuild
@@ -29,7 +29,7 @@ src_prepare() {
mv configure.in configure.ac || die "Moving configure.in -> .ac failed"
if use oss; then
cp "${WORKDIR}"/awe_voice.h src/ || die "copy failed"
- append-flags -DHAVE_AWE_VOICE_H
+ append-cppflags -DHAVE_AWE_VOICE_H
fi
eautoreconf
^ permalink raw reply related [flat|nested] 9+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: media-libs/tse3/
@ 2022-12-18 10:34 Pacho Ramos
0 siblings, 0 replies; 9+ messages in thread
From: Pacho Ramos @ 2022-12-18 10:34 UTC (permalink / raw
To: gentoo-commits
commit: e50a72cb82704d73bc3a34a01890679cb5ba4e43
Author: Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sun Dec 18 10:34:05 2022 +0000
Commit: Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sun Dec 18 10:34:43 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e50a72cb
media-libs/tse3: Drop .la files
Closes: https://bugs.gentoo.org/847511
Signed-off-by: Pacho Ramos <pacho <AT> gentoo.org>
media-libs/tse3/tse3-0.3.1-r2.ebuild | 56 ++++++++++++++++++++++++++++++++++++
1 file changed, 56 insertions(+)
diff --git a/media-libs/tse3/tse3-0.3.1-r2.ebuild b/media-libs/tse3/tse3-0.3.1-r2.ebuild
new file mode 100644
index 000000000000..7733309ab188
--- /dev/null
+++ b/media-libs/tse3/tse3-0.3.1-r2.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+inherit autotools flag-o-matic
+
+DESCRIPTION="TSE3 Sequencer library"
+HOMEPAGE="http://TSE3.sourceforge.net"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz
+ mirror://gentoo/${P}-awe_voice.h.tbz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~sparc ~x86"
+IUSE="alsa oss"
+
+RDEPEND="alsa? ( media-libs/alsa-lib )"
+DEPEND="${RDEPEND}"
+BDEPEND=""
+
+PATCHES=(
+ "${FILESDIR}/${PN}-0.2.7-size_t-64bit.patch"
+ "${FILESDIR}/${PN}-0.2.7-gcc4.patch"
+ "${FILESDIR}/${P}-parallelmake.patch"
+ "${FILESDIR}/${P}+gcc-4.3.patch"
+)
+
+src_prepare() {
+ default
+ mv configure.in configure.ac || die "Moving configure.in -> .ac failed"
+ if use oss; then
+ cp "${WORKDIR}"/awe_voice.h src/ || die "copy failed"
+ append-cppflags -DHAVE_AWE_VOICE_H
+ fi
+
+ eautoreconf
+}
+
+src_configure() {
+ local myconf
+
+ use alsa || myconf="${myconf} --without-alsa"
+ use oss || myconf="${myconf} --without-oss"
+
+ econf \
+ --without-doc-install \
+ --without-aRts \
+ ${myconf}
+}
+
+src_install() {
+ HTML_DOCS=( doc/*.{html,gif,png} )
+ default
+ find "${ED}" -type f -name '*.la' -delete || die
+ dodoc doc/History
+}
^ permalink raw reply related [flat|nested] 9+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: media-libs/tse3/
@ 2023-01-18 21:54 Sam James
0 siblings, 0 replies; 9+ messages in thread
From: Sam James @ 2023-01-18 21:54 UTC (permalink / raw
To: gentoo-commits
commit: 735ffa0eeffa5fc347e9b4f667b5cb08d61dc2d5
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Wed Jan 18 21:53:22 2023 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Jan 18 21:53:22 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=735ffa0e
media-libs/tse3: Stabilize 0.3.1-r2 x86, #891279
Signed-off-by: Sam James <sam <AT> gentoo.org>
media-libs/tse3/tse3-0.3.1-r2.ebuild | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/media-libs/tse3/tse3-0.3.1-r2.ebuild b/media-libs/tse3/tse3-0.3.1-r2.ebuild
index 18682ef646a2..9e7bd101a121 100644
--- a/media-libs/tse3/tse3-0.3.1-r2.ebuild
+++ b/media-libs/tse3/tse3-0.3.1-r2.ebuild
@@ -11,7 +11,7 @@ SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz
LICENSE="GPL-2"
SLOT="0"
-KEYWORDS="amd64 ~ppc ~sparc ~x86"
+KEYWORDS="amd64 ~ppc ~sparc x86"
IUSE="alsa oss"
RDEPEND="alsa? ( media-libs/alsa-lib )"
^ permalink raw reply related [flat|nested] 9+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: media-libs/tse3/
@ 2023-01-18 21:54 Sam James
0 siblings, 0 replies; 9+ messages in thread
From: Sam James @ 2023-01-18 21:54 UTC (permalink / raw
To: gentoo-commits
commit: ff7737d9365bf3c601d5e81aea4df523e859992a
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Wed Jan 18 21:53:24 2023 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Jan 18 21:53:24 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ff7737d9
media-libs/tse3: Stabilize 0.3.1-r2 sparc, #891279
Signed-off-by: Sam James <sam <AT> gentoo.org>
media-libs/tse3/tse3-0.3.1-r2.ebuild | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/media-libs/tse3/tse3-0.3.1-r2.ebuild b/media-libs/tse3/tse3-0.3.1-r2.ebuild
index 3ed064142329..5f0dc9f72733 100644
--- a/media-libs/tse3/tse3-0.3.1-r2.ebuild
+++ b/media-libs/tse3/tse3-0.3.1-r2.ebuild
@@ -11,7 +11,7 @@ SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz
LICENSE="GPL-2"
SLOT="0"
-KEYWORDS="amd64 ppc ~sparc x86"
+KEYWORDS="amd64 ppc sparc x86"
IUSE="alsa oss"
RDEPEND="alsa? ( media-libs/alsa-lib )"
^ permalink raw reply related [flat|nested] 9+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: media-libs/tse3/
@ 2023-01-18 21:54 Sam James
0 siblings, 0 replies; 9+ messages in thread
From: Sam James @ 2023-01-18 21:54 UTC (permalink / raw
To: gentoo-commits
commit: 2538d8c37f1f02c856b1fbb5633315ad80c3b61d
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Wed Jan 18 21:53:23 2023 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Jan 18 21:53:23 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2538d8c3
media-libs/tse3: Stabilize 0.3.1-r2 ppc, #891279
Signed-off-by: Sam James <sam <AT> gentoo.org>
media-libs/tse3/tse3-0.3.1-r2.ebuild | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/media-libs/tse3/tse3-0.3.1-r2.ebuild b/media-libs/tse3/tse3-0.3.1-r2.ebuild
index 9e7bd101a121..3ed064142329 100644
--- a/media-libs/tse3/tse3-0.3.1-r2.ebuild
+++ b/media-libs/tse3/tse3-0.3.1-r2.ebuild
@@ -11,7 +11,7 @@ SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz
LICENSE="GPL-2"
SLOT="0"
-KEYWORDS="amd64 ~ppc ~sparc x86"
+KEYWORDS="amd64 ppc ~sparc x86"
IUSE="alsa oss"
RDEPEND="alsa? ( media-libs/alsa-lib )"
^ permalink raw reply related [flat|nested] 9+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: media-libs/tse3/
@ 2023-01-18 21:54 Sam James
0 siblings, 0 replies; 9+ messages in thread
From: Sam James @ 2023-01-18 21:54 UTC (permalink / raw
To: gentoo-commits
commit: 3cafebcc706ea9daa609ed304c2127b79731262f
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Wed Jan 18 21:53:21 2023 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Jan 18 21:53:21 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3cafebcc
media-libs/tse3: Stabilize 0.3.1-r2 amd64, #891279
Signed-off-by: Sam James <sam <AT> gentoo.org>
media-libs/tse3/tse3-0.3.1-r2.ebuild | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
diff --git a/media-libs/tse3/tse3-0.3.1-r2.ebuild b/media-libs/tse3/tse3-0.3.1-r2.ebuild
index 7733309ab188..18682ef646a2 100644
--- a/media-libs/tse3/tse3-0.3.1-r2.ebuild
+++ b/media-libs/tse3/tse3-0.3.1-r2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -11,7 +11,7 @@ SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz
LICENSE="GPL-2"
SLOT="0"
-KEYWORDS="~amd64 ~ppc ~sparc ~x86"
+KEYWORDS="amd64 ~ppc ~sparc ~x86"
IUSE="alsa oss"
RDEPEND="alsa? ( media-libs/alsa-lib )"
^ permalink raw reply related [flat|nested] 9+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: media-libs/tse3/
@ 2023-01-21 9:38 Miroslav Šulc
0 siblings, 0 replies; 9+ messages in thread
From: Miroslav Šulc @ 2023-01-21 9:38 UTC (permalink / raw
To: gentoo-commits
commit: 3f14cf00db084f94bc5bc8b2209bc3e27db4dc95
Author: Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
AuthorDate: Sat Jan 21 09:37:36 2023 +0000
Commit: Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
CommitDate: Sat Jan 21 09:37:54 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3f14cf00
media-libs/tse3: dropped obsolete 0.3.1-r1
Closes: https://bugs.gentoo.org/891279
Signed-off-by: Miroslav Šulc <fordfrog <AT> gentoo.org>
media-libs/tse3/tse3-0.3.1-r1.ebuild | 54 ------------------------------------
1 file changed, 54 deletions(-)
diff --git a/media-libs/tse3/tse3-0.3.1-r1.ebuild b/media-libs/tse3/tse3-0.3.1-r1.ebuild
deleted file mode 100644
index 9c10927b83eb..000000000000
--- a/media-libs/tse3/tse3-0.3.1-r1.ebuild
+++ /dev/null
@@ -1,54 +0,0 @@
-# Copyright 1999-2018 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-inherit autotools flag-o-matic
-
-DESCRIPTION="TSE3 Sequencer library"
-HOMEPAGE="http://TSE3.sourceforge.net"
-SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz
- mirror://gentoo/${P}-awe_voice.h.tbz2"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="amd64 ppc sparc x86"
-IUSE="alsa oss"
-
-RDEPEND="alsa? ( media-libs/alsa-lib )"
-DEPEND="${RDEPEND}"
-
-PATCHES=(
- "${FILESDIR}/${PN}-0.2.7-size_t-64bit.patch"
- "${FILESDIR}/${PN}-0.2.7-gcc4.patch"
- "${FILESDIR}/${P}-parallelmake.patch"
- "${FILESDIR}/${P}+gcc-4.3.patch"
-)
-
-src_prepare() {
- default
- mv configure.in configure.ac || die "Moving configure.in -> .ac failed"
- if use oss; then
- cp "${WORKDIR}"/awe_voice.h src/ || die "copy failed"
- append-cppflags -DHAVE_AWE_VOICE_H
- fi
-
- eautoreconf
-}
-
-src_configure() {
- local myconf
-
- use alsa || myconf="${myconf} --without-alsa"
- use oss || myconf="${myconf} --without-oss"
-
- econf \
- --without-doc-install \
- --without-aRts \
- ${myconf}
-}
-
-src_install() {
- HTML_DOCS=( doc/*.{html,gif,png} )
- default
- dodoc doc/History
-}
^ permalink raw reply related [flat|nested] 9+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: media-libs/tse3/
@ 2023-07-07 7:31 Miroslav Šulc
0 siblings, 0 replies; 9+ messages in thread
From: Miroslav Šulc @ 2023-07-07 7:31 UTC (permalink / raw
To: gentoo-commits
commit: 4fb39ef144ea983c6fa941954560df29f7a4601d
Author: Michael Mair-Keimberger <mmk <AT> levelnine <DOT> at>
AuthorDate: Thu Jul 6 09:16:28 2023 +0000
Commit: Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
CommitDate: Fri Jul 7 07:31:28 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4fb39ef1
media-libs/tse3: use HTTPS
Signed-off-by: Michael Mair-Keimberger <mmk <AT> levelnine.at>
Closes: https://github.com/gentoo/gentoo/pull/31776
Signed-off-by: Miroslav Šulc <fordfrog <AT> gentoo.org>
media-libs/tse3/tse3-0.3.1-r2.ebuild | 3 +--
1 file changed, 1 insertion(+), 2 deletions(-)
diff --git a/media-libs/tse3/tse3-0.3.1-r2.ebuild b/media-libs/tse3/tse3-0.3.1-r2.ebuild
index 5f0dc9f72733..81f7327d4a82 100644
--- a/media-libs/tse3/tse3-0.3.1-r2.ebuild
+++ b/media-libs/tse3/tse3-0.3.1-r2.ebuild
@@ -5,7 +5,7 @@ EAPI=8
inherit autotools flag-o-matic
DESCRIPTION="TSE3 Sequencer library"
-HOMEPAGE="http://TSE3.sourceforge.net"
+HOMEPAGE="https://TSE3.sourceforge.net"
SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz
mirror://gentoo/${P}-awe_voice.h.tbz2"
@@ -16,7 +16,6 @@ IUSE="alsa oss"
RDEPEND="alsa? ( media-libs/alsa-lib )"
DEPEND="${RDEPEND}"
-BDEPEND=""
PATCHES=(
"${FILESDIR}/${PN}-0.2.7-size_t-64bit.patch"
^ permalink raw reply related [flat|nested] 9+ messages in thread
end of thread, other threads:[~2023-07-07 7:31 UTC | newest]
Thread overview: 9+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2023-01-21 9:38 [gentoo-commits] repo/gentoo:master commit in: media-libs/tse3/ Miroslav Šulc
-- strict thread matches above, loose matches on Subject: below --
2023-07-07 7:31 Miroslav Šulc
2023-01-18 21:54 Sam James
2023-01-18 21:54 Sam James
2023-01-18 21:54 Sam James
2023-01-18 21:54 Sam James
2022-12-18 10:34 Pacho Ramos
2018-05-29 20:10 Aaron Bauman
2018-05-29 20:10 Aaron Bauman
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox